/*Теоритичні питання:
1. В чому відмінність між setInterval та setTimeout?
setInterval - подія/дія буде відбуватися багато разів з вказаною періодичністю
setTimeout - подія/дія відбудеться 1 раз через вказаний час 

2. Чи можна стверджувати, що функції в setInterval та setTimeout будуть виконані рівно через той проміжок часу, який ви вказали?
Ні, не можна.

3. Як припинити виконання функції, яка була запланована для виклику з використанням setTimeout та setInterval?
За допомогою clearTimeout і clearInterval

Практичне завдання 1:
-Створіть HTML-файл із кнопкою та елементом div.
-При натисканні кнопки використовуйте setTimeout, щоб змінити текстовий вміст елемента div через затримку 3 секунди. 
Новий текст повинен вказувати, що операція виконана успішно.*/


function timeOut () {
    const text = document.getElementById('text');
    setTimeout(() => {
        text.textContent = 'Операція виконана успішно!'
    }, 3000);
}


/*Практичне завдання 2:
Реалізуйте таймер зворотного відліку, використовуючи setInterval. При завантаженні сторінки виведіть зворотний відлік від 10 до 1 в елементі div. 
Після досягнення 1 змініть текст на "Зворотній відлік завершено".*/

let count = 10;
const timer = document.getElementById('timer');
const timerCount = setInterval (() => {
    timer.textContent = count;
    if (count === 1) {
        timer.textContent = 'Зворотній відлік завершено!';
        clearInterval(timerCount);
    }
    count--;
}, 1000);
